<template>
  <v-layout align-start>
    <div v-if="hasContent" class="writing-item-text custom-scroll">
    <p
        v-for="(item, index) in content"
        :key="index"
        class="pulse-escape"
        @click="$emit('select-word', { order: item.order, rule: item.rule })"
        :class="{'border': hasKeyWord, 'active': index === activeIndex}"
      >
        <span
          v-if="item.rule !== 'KEYWORD'"
          v-html="item.value"
          class="pulse-escape"
          :style="{'background': item.color}"
        ></span>
      </p>
    </div>
    <div v-if="!hasContent" class="writing-item-text pa-2">
      <p>Your feedback will appear here after we finish checking your work.</p>
    </div>
  </v-layout>
</template>

<script>
export default {
  props: {
    content: {
      type: Array,
      default: () => [],
    },
    activeIndex: {
      type: Number,
    },
  },
  computed: {
    hasKeyWord() {
      return this.content.some(it => it.rule === 'KEYWORD');
    },
    hasContent() {
      return this.content.length > 0;
    },
  },
};
</script>

<style scoped lang="sass">
@import ~@/styles/defaults/variables
@import ~@/styles/defaults/mobileFirst

.border
  border-bottom: 1px solid #E91E63
.active
  font-weight: 600
.writing-item-text
  display: flex
  flex-wrap: wrap
  user-select: none
  width: 100%
  & p
    width: auto
    user-select: none
    cursor: pointer
    margin: 0px
    height: 1.5em
    min-width: auto
    padding: 0px
  & span
    user-select: none
    padding: 3px
    border-radius: 2px
  +media-min-sm()
    border: 1px solid rgba(0,0,0,.2)
    height: 35vh
    padding: 20px 10px
  +media-min-lg()
    overflow: auto
</style>
